Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Salesforce Tenant Secret APIs

Deleting Backup of a Salesforce Tenant Secret

search

Please Note:

Deleting Backup of a Salesforce Tenant Secret

Use the post /v1/cckm/sfdc/keys/{id}/delete-backup API to delete the backup of a Salesforce tenant secret with a given ID from CCKM.

Only the backup of a tenant secret with the status DESTROYED can be deleted. The backup of an ACTIVE tenant secret cannot be deleted.

Syntax

curl -k '<IP>/api/v1/cckm/sfdc/keys/{id}/delete-backup' -X POST -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} represents the resource ID of the Salesforce tenant secret backup to be deleted from CCKM.

Request Parameter

ParameterTypeDescription
AUTHTOKENstringAuthorization token.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sfdc/keys/912c7e4d-121e-42bc-ba28-33005cc665cf/delete-backup' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI0MmFmZDExNy02YzllLTRhNGUtOTAwYS1lYjlhNDNjYWE5ZDIiLCJzdWIiOiJsb2NhbHwzMTI5ODdkMS0wOWNiLTQxZTEtOThmNy1jZjRhNzgwNTZiMTMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNDVmOWE3NWUtMzI1NC00NWJkLWE0NzYtOWU2NWUyNjdmNGVkIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjdiYzNkOWM4LWRiYTQtNDVmMy05YWNiLWI3NGM2MzQyYzYyMCIsImlhdCI6MTYxNDc1MTg1MSwiZXhwIjoxNjE0NzUyMTUxfQ.ahdxfM7-WA4u7sotHy6qelc9MkoZytst7oZWsvE7Cr0' --compressed

Example Response

{
    "application/json": {
        "id": "2cf88f46-441b-40e2-bc2c-1633f7e4ff4c",
        "uri": "kylo:kylo:cckm:Tenant_Secret:2cf88f46-441b-40e2-bc2c-1633f7e4ff4c",
        "account": "kylo:kylo:admin:accounts:kylo",
        "createdAt": "2021-08-25T04:31:20.32725Z",
        "updatedAt": "2021-08-25T05:24:04.200853337Z",
        "cloud_name": "sfdc",
        "name": "12345678901ABCDEFG-DeterministicData",
        "organization_id": "ce0ffe4b-fbda-4e87-88af-4b9b4e6484f9",
        "error_msg": "",
        "sfdc_params": {
            "SalesforceID": "02G190000009TlEEAU",
            "CreatedDate": "2021-08-19T14:46:44.000+0000",
            "CreatedById": "0053h000000r5rKAAQ",
            "LastModifiedDate": "2021-08-19T16:34:26.000+0000",
            "LastModifiedById": "0053h000000r5rKAAQ",
            "SystemModstamp": "2021-08-19T16:34:26.000+0000",
            "SecretValueHash": "UNKNOWM=",
            "SecretValue": "CgMyMzISEO3N5nQt+DmGWZ6P5sYRM94aMCRsJDVJCLWeZApXY9E5hAE0unbb2IAEE2OMBxFjuIIVqO5ia9ypAZ9EtNHqbEVNnA==",
            "Version": 20,
            "Status": "DESTROYED",
            "Source": "HSM",
            "Type": "DeterministicData",
            "RemoteKeyCertificate": "",
            "RemoteKeyServiceID": "",
            "RemoteKeyIdentifier": ""
        },
        "sfdc_org_id": "00DB000000012ABCDE",
        "auto_rotate": false,
        "origin": "native"
    }
}

The output shows that the Salesforce tenant secret with the specified resource ID is deleted from CCKM.

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.